<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="14441f0a-f3ff-4bed-a0e4-6ee27b52063d" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/proxy.go" beforeDir="false" afterPath="$PROJECT_DIR$/proxy.go" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/work_pool.go" beforeDir="false" afterPath="$PROJECT_DIR$/work_pool.go" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="proxy.go" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/proxy.go">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-27">
              <caret line="328" column="14" selection-start-line="328" selection-start-column="14" selection-end-line="328" selection-end-column="14" />
              <folding>
                <element signature="e#14#247#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="main.go" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/main.go">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1562">
              <caret line="83" column="16" selection-start-line="83" selection-start-column="16" selection-end-line="83" selection-end-column="16" />
              <folding>
                <element signature="e#14#160#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="proxy_info.go" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/proxy_info.go">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="220">
              <caret line="15" column="5" selection-start-line="15" selection-start-column="5" selection-end-line="15" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="log.go" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/log/log.go">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="176">
              <caret line="8" column="7" selection-start-line="8" selection-start-column="5" selection-end-line="8" selection-end-column="7" />
              <folding>
                <element signature="e#226#355#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="work_pool.go" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/work_pool.go">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <folding>
                <element signature="e#14#61#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Go File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>github.com/cespare/xxhash</find>
      <find>conn close by timeout</find>
      <find>newPacket</find>
      <find>proxy_game.json</find>
      <find>Debug</find>
      <find>WarnLog</find>
      <find>NewLogger</find>
      <find>logger</find>
      <find>log</find>
      <find>warn</find>
      <find>zap.Array</find>
      <find>isNewPacket</find>
      <find>listenAddr</find>
      <find>container</find>
      <find>proxyInfo</find>
      <find>ChangePacketCount</find>
      <find>SetPrivateKey</find>
      <find>newWorkPool</find>
      <find>Accept</find>
      <find>onAccept</find>
      <find>NewAcceptor</find>
      <find>defaultWorkPool</find>
      <find>do</find>
      <find>go</find>
      <find>listen</find>
      <find>Close</find>
      <find>closeDone</find>
      <find>warnLog</find>
      <find>PutWarnLog</find>
      <find>checkConn</find>
    </findStrings>
  </component>
  <component name="GOROOT" path="D:\bin\Go" />
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GoLibraries">
    <option name="urls">
      <list>
        <option value="file://$PROJECT_DIR$" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/pb/gen.bat" />
        <option value="$PROJECT_DIR$/listener_windows.go" />
        <option value="$PROJECT_DIR$/listener_linux.go" />
        <option value="$PROJECT_DIR$/log_file/stderr.log" />
        <option value="$PROJECT_DIR$/pb/pb.proto" />
        <option value="$PROJECT_DIR$/utils/workPool.go" />
        <option value="$PROJECT_DIR$/workPool.go" />
        <option value="$PROJECT_DIR$/log_file/stdout.log" />
        <option value="$PROJECT_DIR$/ip_map.go" />
        <option value="$PROJECT_DIR$/listener_other.go" />
        <option value="$PROJECT_DIR$/proxy_gate.json" />
        <option value="$PROJECT_DIR$/go.sum" />
        <option value="$PROJECT_DIR$/ip_map_test.go" />
        <option value="$PROJECT_DIR$/log/log.go" />
        <option value="$PROJECT_DIR$/http_client/http_client.go" />
        <option value="$PROJECT_DIR$/proxy_info.go" />
        <option value="$PROJECT_DIR$/main.go" />
        <option value="$PROJECT_DIR$/work_pool.go" />
        <option value="$PROJECT_DIR$/proxy.go" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-10" />
    <option name="y" value="-10" />
    <option name="width" value="1939" />
    <option name="height" value="1049" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="proxy_gate" type="b2602c69:ProjectViewProjectNode" />
              <item name="proxy_gate" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="proxy_gate" type="b2602c69:ProjectViewProjectNode" />
              <item name="proxy_gate" type="462c0819:PsiDirectoryNode" />
              <item name="log" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultGoTemplateProperty" value="Go File" />
    <property name="configurable.Global.GOPATH.is.expanded" value="true" />
    <property name="configurable.Module.GOPATH.is.expanded" value="false" />
    <property name="configurable.Project.GOPATH.is.expanded" value="true" />
    <property name="go.gopath.indexing.explicitly.defined" value="true" />
    <property name="go.sdk.automatically.set" value="true" />
    <property name="go.vendoring.notification.had.been.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="com.goide.configuration.GoLibrariesConfigurableProvider" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\GOPATH\src\qipai\proxy_gate" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\GOPATH\src\qipai\proxy_gate\pb" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Go Build.调试">
    <configuration name="调试" type="GoApplicationRunConfiguration" factoryName="Go Application">
      <module name="proxy_gate" />
      <working_directory value="$PROJECT_DIR$/" />
      <go_parameters value="-i" />
      <parameters value="-s start" />
      <kind value="DIRECTORY" />
      <filePath value="$PROJECT_DIR$" />
      <package value="qipai/proxy_gate" />
      <directory value="$PROJECT_DIR$/" />
      <output_directory value="$PROJECT_DIR$/" />
    </configuration>
    <configuration name="TestIPContainer in D:/GOPATH/src/qipai/proxy_gate" type="GoTestRunConfiguration" factoryName="Go Test" temporary="true" nameIsGenerated="true">
      <module name="proxy_gate" />
      <working_directory value="$PROJECT_DIR$" />
      <go_parameters value="-i" />
      <framework value="gotest" />
      <kind value="PACKAGE" />
      <package value="$PROJECT_DIR$" />
      <directory value="$PROJECT_DIR$/" />
      <filePath value="$PROJECT_DIR$/" />
      <pattern value="^TestIPContainer$" />
    </configuration>
    <list>
      <item itemvalue="Go Build.调试" />
      <item itemvalue="Go Test.TestIPContainer in D:/GOPATH/src/qipai/proxy_gate" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Go Test.TestIPContainer in D:/GOPATH/src/qipai/proxy_gate" />
      </list>
    </recent_temporary>
  </component>
  <component name="StructureViewFactory">
    <option name="ACTIVE_ACTIONS" value=",ALPHA_COMPARATOR" />
  </component>
  <component name="TestHistory">
    <history-entry file="TestIPContainer_in_qipai_proxy_gate - 2018.04.24 at 20h 40m 22s.xml">
      <configuration name="TestIPContainer in qipai/proxy_gate" configurationId="GoTestRunConfiguration" />
    </history-entry>
    <history-entry file="TestIPContainer_in_qipai_proxy_gate - 2018.04.24 at 23h 06m 24s.xml">
      <configuration name="TestIPContainer in qipai/proxy_gate" configurationId="GoTestRunConfiguration" />
    </history-entry>
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" sideWeight="0.4990792" visible="true" weight="0.1842448" />
      <window_info anchor="bottom" id="TODO" order="6" sideWeight="0.49865952" weight="0.32890856" />
      <window_info active="true" anchor="bottom" id="Event Log" order="7" sideWeight="0.5005208" side_tool="true" visible="true" weight="0.22191781" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="bottom" id="Find" order="1" sideWeight="0.49947917" weight="0.3284055" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.49414062" weight="0.18057455" />
      <window_info anchor="right" id="Structure" order="5" sideWeight="0.50092083" side_tool="true" visible="true" weight="0.1842448" />
      <window_info anchor="bottom" id="Terminal" order="7" sideWeight="0.5859375" weight="0.25307798" />
      <window_info id="Favorites" order="1" side_tool="true" />
      <window_info anchor="bottom" id="Debug" order="3" sideWeight="0.4921875" weight="0.2243502" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" id="JSON Viewer" order="4" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="24" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/mem.out" />
    <entry file="file://C:/Go/src/sync/pool.go" />
    <entry file="file://$PROJECT_DIR$/../../github.com/coocood/freecache/segment.go" />
    <entry file="file://$PROJECT_DIR$/../../github.com/coocood/freecache/cache.go" />
    <entry file="file://$PROJECT_DIR$/pb/gen.bat">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="1" column="5" selection-start-line="1" selection-start-column="5" selection-end-line="1" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://C:/Go/src/net/tcpsock.go" />
    <entry file="file://C:/Go/src/net/dial.go" />
    <entry file="file://$PROJECT_DIR$/workPool.go" />
    <entry file="file://C:/Go/src/time/sleep.go" />
    <entry file="file://C:/Go/src/sync/atomic/doc.go" />
    <entry file="file://C:/Go/src/time/time.go" />
    <entry file="file://C:/Go/src/net/ip.go" />
    <entry file="file://C:/Go/src/internal/poll/fd_unix.go" />
    <entry file="file://C:/Go/src/net/fd_unix.go" />
    <entry file="file://C:/Go/src/syscall/zsyscall_windows.go" />
    <entry file="file://C:/Go/src/syscall/syscall_windows.go" />
    <entry file="file://C:/Go/src/syscall/types_windows.go" />
    <entry file="file://C:/Go/src/internal/poll/fd_windows.go" />
    <entry file="file://C:/Go/src/net/fd_windows.go" />
    <entry file="file://C:/Go/src/syscall/zsyscall_linux_amd64.go" />
    <entry file="file://$PROJECT_DIR$/log_file/stdout.log" />
    <entry file="file://$PROJECT_DIR$/head_packet_validate/stdout.log" />
    <entry file="file://C:/Go/src/sync/map.go" />
    <entry file="file://$PROJECT_DIR$/../../go.uber.org/zap/logger.go" />
    <entry file="file://C:/Go/src/runtime/mprof.go" />
    <entry file="file://C:/Go/src/net/net.go" />
    <entry file="file://$PROJECT_DIR$/../../github.com/valyala/tcplisten/tcplisten.go" />
    <entry file="file://$PROJECT_DIR$/go.sum" />
    <entry file="file://$PROJECT_DIR$/go.mod" />
    <entry file="file://$PROJECT_DIR$/../server/socket/acceptor.go" />
    <entry file="file://$PROJECT_DIR$/../../github.com/valyala/tcplisten/tcplisten_linux.go" />
    <entry file="file://C:/Go/src/io/io.go" />
    <entry file="file://$PROJECT_DIR$/control.cmd">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="770">
          <caret line="35" column="11" selection-start-line="35" selection-start-column="11" selection-end-line="35" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pb/pb.proto">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="6" column="28" selection-start-line="6" selection-start-column="19" selection-end-line="6" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/http_client/http_client.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="6" column="15" selection-start-line="6" selection-start-column="15" selection-end-line="6" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../path/src/github.com/golang/protobuf/proto/decode.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="185">
          <caret line="395" column="5" selection-start-line="395" selection-start-column="5" selection-end-line="395" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ip_map_test.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="3" column="13" selection-start-line="3" selection-start-column="13" selection-end-line="3" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/proxy_gate.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="12" column="1" selection-start-line="12" selection-start-column="1" selection-end-line="12" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://D:/bin/Go/src/net/net.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-621">
          <caret line="111" column="5" selection-start-line="111" selection-start-column="5" selection-end-line="111" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://D:/bin/Go/src/net/dial.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="171">
          <caret line="303" column="69" selection-start-line="303" selection-start-column="69" selection-end-line="303" selection-end-column="69" />
        </state>
      </provider>
    </entry>
    <entry file="file://D:/bin/Go/src/sync/atomic/doc.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="201">
          <caret line="125" column="5" selection-start-line="125" selection-start-column="5" selection-end-line="125" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pb/pb.pb.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1276">
          <caret line="60" column="5" selection-start-line="60" selection-start-column="5" selection-end-line="60" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/utils.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="263">
          <caret line="39" column="15" selection-start-line="39" selection-start-column="5" selection-end-line="39" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/log/log.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="8" column="7" selection-start-line="8" selection-start-column="5" selection-end-line="8" selection-end-column="7" />
          <folding>
            <element signature="e#226#355#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/listener_windows.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="154">
          <caret line="7" column="21" selection-start-line="7" selection-start-column="15" selection-end-line="7" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/listener_other.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="23" column="26" selection-start-line="23" selection-start-column="15" selection-end-line="23" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/ip_map.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1342">
          <caret line="104" lean-forward="true" selection-start-line="104" selection-end-line="104" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/proxy_info.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="15" column="5" selection-start-line="15" selection-start-column="5" selection-end-line="15" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1562">
          <caret line="83" column="16" selection-start-line="83" selection-start-column="16" selection-end-line="83" selection-end-column="16" />
          <folding>
            <element signature="e#14#160#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/work_pool.go">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#14#61#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/proxy.go">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-27">
          <caret line="328" column="14" selection-start-line="328" selection-start-column="14" selection-end-line="328" selection-end-column="14" />
          <folding>
            <element signature="e#14#247#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>